/**@file
 * Des.h
 * @brief DES encryption/decryption class.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/09/15.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

/**
 * DES encryption/decryption class.
 */
@interface Des : NSObject {
}

// Encrypt from string.
+ (NSData *)encryptString:(NSString *)str encoding:(NSStringEncoding)encoding key:(NSString *)key;
// Encrypt data.
+ (NSData *)encryptData:(NSData *)data key:(NSString *)key;
// Encrypt from string with CBC.
+ (NSData *)encryptCbcString:(NSString *)str encoding:(NSStringEncoding)encoding key:(NSString *)key;
// Encrypt data with CBC.
+ (NSData *)encryptCbcData:(NSData *)data key:(NSString *)key;

// Decrypt data with CBC.
+ (NSData *)decryptCbcData:(NSData *)data key:(NSString *)key;
// Decrypt to string with CBC.
+ (NSString *)decryptCbcToString:(NSData *)data encoding:(NSStringEncoding)encoding key:(NSString *)key;
// Decrypt data.
+ (NSData *)decryptData:(NSData *)data key:(NSString *)key;
// Decrypt to string.
+ (NSString *)decryptToString:(NSData *)data encoding:(NSStringEncoding)encoding key:(NSString *)key;
@end
