/**@file
 * FromZeroToSevenFormatter.m
 * @brief The formatter allows from 0 to 7.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/20.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import "FromZeroToSevenFormatter.h"

@implementation FromZeroToSevenFormatter

/**
 * input verifier.
 */
- (BOOL) isPartialStringValid:(NSString **)partialStringPtr
		proposedSelectedRange:(NSRangePointer)proposedSelRangePtr
			   originalString:(NSString *)origString
		originalSelectedRange:(NSRange)origSelRange
			 errorDescription:(NSString **)error
{
	if ([super isPartialStringValid:partialStringPtr proposedSelectedRange:proposedSelRangePtr originalString:origString
			  originalSelectedRange:origSelRange errorDescription:error] == NO) {
		return NO;
	}

	const NSRange newStuff = NSMakeRange(origSelRange.location, proposedSelRangePtr->location - origSelRange.location);
	NSString *const newStuffString = [*partialStringPtr substringWithRange:newStuff];
	if ([newStuffString rangeOfString:@"8"].length > 0) {
		NSBeep();
		*error = @"Input is 8";
		return NO;
	}
	if ([newStuffString rangeOfString:@"9"].length > 0) {
		NSBeep();
		*error = @"Input is 9";
		return NO;
	}
	return YES;
}

@end
