/**@file
 * MenuEnabler.h
 * @brief Enable/Disable menu.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/10.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

/**
 * Enable/Disable menu.
 */
@interface MenuEnabler : NSObject {
@private
	BOOL m_canExit;					// flag indicates avalable to exit application.
}
// properties.
@property (nonatomic, assign, setter = setCanExit, getter = canExit) BOOL m_canExit;

// get current document.
+ (id)currentDocument;

// cannot undo.
- (BOOL)cannotUndo;
// cannot redo.
- (BOOL)cannotRedo;
// cannot rename enabler.
- (BOOL)cannotRename;
// cannot remove file enabler.
- (BOOL)cannotRemove;
// cannot mkdir enabler.
- (BOOL)cannotMkdir;
// cannot paste.
- (BOOL)cannotPaste;
// cannot paste from finder.
- (BOOL)cannotPasteFromFinder;
// cannot parent directory.
- (BOOL)cannotParentDirectory;
// cannot close document.
- (BOOL)cannotClose;
// cannot exit.
- (BOOL)cannotExit;
@end
