/**@file
 * MyDocument.h
 * @brief The document class.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/07.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

@interface MyDocument : NSDocument
{
@private
	id m_controller;				// ViewController;
	id m_connectionSetting;			// ConnectionSetting.
	NSUInteger m_canRedoCnt;		// redo count.
	NSString *m_lastDirectory;		// last file saved directory.
}
// properties.
@property (nonatomic, assign, setter = setController, getter = controller) id m_controller;
@property (nonatomic, assign, getter = connectionSetting, readonly) id m_connectionSetting;
@property (nonatomic, assign, getter = canRedoCnt, readonly) NSUInteger m_canRedoCnt;
@property (nonatomic, retain, getter = lastDirectory, setter = setLastDirectory) NSString *m_lastDirectory;

// rename menu.
- (IBAction)renameToMenu:(id)sender;
// chmod menu.
- (IBAction)chmodToMenu:(id)sender;
// rmv menu.
- (IBAction)removeFileMenu:(id)sender;
// mkd menu.
- (IBAction)makeDirectoryMenu:(id)sender;
// retr menu.
- (IBAction)retrieveFile:(id)sender;
// stor menu.
- (IBAction)addFile:(id)sender;
// reload menu.
- (IBAction)reloadMenu:(id)sender;
// stor menu with paste.
- (IBAction)paste:(id)sender;
// stor menu with paste from finder.
- (IBAction)pasteFromFinder:(id)sender;
// copy.
- (IBAction)copy:(id)sender;
// cut.
- (IBAction)cut:(id)sender;
// parent directory.
- (IBAction)parentDirectory:(id)sender;
// change directory.
- (IBAction)changeDirectory:(id)sender;

// set new connection setting.
- (void)setConnectionSetting:(id)setting;
// set document dirty.
- (void)setDirty;
// XML parsing.
- (BOOL)parseXml:(NSData *)xmlData error:(NSError **)outError;
// Add element call from XML parser.
- (BOOL)addElement:(NSArray *)elemArray withDictionary:(NSDictionary *)dict;
@end
