/**@file
 * ProcessingDialog.h
 * @brief Processing dialog box class shows up while time taking tasks.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/20.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>
#import "MyBaseDialog.h"

/**
 * Processing dialog box class shows up while time taking tasks.
 */
@interface ProcessingDialog : MyBaseDialog {
@private
	IBOutlet NSTextField *m_label;
	NSString *m_windowTitle;			// new title.
}
// properties.
@property (retain, setter = setWindowTitle, getter = windowTitle) NSString *m_windowTitle;

// Base class retrieves sheet pointer.
- (id)sheet;
// show modal.
- (void)showModal;
// update window title.
- (void)updateWindowTitle:(NSString *)windowTitle;
// update window title by main thread.
- (void)updateWindowTitleMainThread:(id)windowTitle;

// cancel button.
- (IBAction)cancelButton:(id)sender;
// close window.
- (void)closeWindow;
@end
