/**@file
 * RenameDialog.h
 * @brief File rename dialog box class.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/10.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>
#import "MyBaseDialog.h"

/**
 * File rename dialog box class.
 */
@interface RenameDialog : MyBaseDialog {
@private
	NSUInteger m_process;						// rename, mkdir.
	IBOutlet NSTextField *m_tile;				// title text field.
	IBOutlet NSTextField *m_name;				// name text field.
}
@property (nonatomic, assign, setter = setProcess, getter = process) NSUInteger m_process;

// Base class retrieves sheet pointer.
- (id)sheet;
// OK button has pressed.
- (void)onOk;
// Ask can ok.
- (BOOL)canOk;
@end

#define RENAME_DIALOG_UNKNOWN					0	// unknown.
#define RENAME_DIALOG_RENAME					1	// ren.
#define RENAME_DIALOG_MKDIR						2	// mkdir.
