/**@file
 * XmlResponseScanner.h
 * @brief NSXMLParser do not very well to deal with some Japanase characters.
 * @author toru kageyama
 * Created by Toru Kageyama on 10/10/09.
 * Copyright 2010 Comona Co., Ltd. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

/**
 * NSXMLParser do not very well to dal with Japanase characters.
 */
@interface XmlResponseScanner : NSObject {
@private
	NSString *m_xmlString;				// XML string.
	NSString *m_command;				// command name.
	id m_resultTarget;					// result target;
	id m_shsslClient;					// ShsslClient;
	NSMutableData* m_contentReceiver;	// content receiver.
}
// properties.
@property (nonatomic, retain, setter = setXmlString, getter = xmlString) NSString *m_xmlString;
@property (nonatomic, retain, setter = setCommand, getter = command) NSString *m_command;
@property (nonatomic, assign, setter = setResultTarget, getter = resultTarget) id m_resultTarget;
@property (nonatomic, assign, setter = setShsslClient, getter = shsslClient) id m_shsslClient;
@property (nonatomic, assign, setter = setContentReceiver, getter = contentReceiver) NSMutableData* m_contentReceiver;

// scan.
- (BOOL)scan;
// scan login result.
- (BOOL)scanLoginResult:(NSScanner *)scanner;
// scan command.
- (BOOL)scanCommand:(NSScanner *)scanner;
// scan current directory.
- (void)scanCurrentDirectory:(NSScanner *)scanner;
// scan result.
- (NSUInteger)scanResult:(NSScanner *)scanner;
// scan LIST list.
- (void)scanListResult:(NSScanner *)scanner;
// scan path element.
- (void)scanPath:(NSString *)pathBlock;
// scan RETR content.
- (void)scanRetrResult:(NSScanner *)scanner;
@end
